Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.client
Class JdbcReportDataSourceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.DataSourceImpl
              com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.client.ReportDataSourceImpl
                  com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.client.JdbcReportDataSourceImpl

All Implemented Interfaces:
  AttributedObject, DataSource, InternalURI, Resource, JdbcReportDataSource, ReportDataSource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class JdbcReportDataSourceImpl

extends ReportDataSourceImpl
implements JdbcReportDataSource

Version:
  $Id: JdbcReportDataSourceImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`JdbcReportDataSourceImpl()`

Method Summary
`java.lang.String` | `getConnectionUrl()`
`java.lang.String` | `getDriverClass()`
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getTimezone()`
`java.lang.String` | `getUsername()`
`void` | `setConnectionUrl(java.lang.String url)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setPassword(java.lang.String password)`
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### JdbcReportDataSourceImpl

    public JdbcReportDataSourceImpl()

Method Detail

### getDriverClass

    public java.lang.String getDriverClass()

  Specified by:
    `getDriverClass` in interface `JdbcReportDataSource`

### setDriverClass

    public void setDriverClass(java.lang.String driverClass)

  Specified by:
    `setDriverClass` in interface `JdbcReportDataSource`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `JdbcReportDataSource`

### setPassword

    public void setPassword(java.lang.String password)

  Specified by:
    `setPassword` in interface `JdbcReportDataSource`

### getConnectionUrl

    public java.lang.String getConnectionUrl()

  Specified by:
    `getConnectionUrl` in interface `JdbcReportDataSource`

### setConnectionUrl

    public void setConnectionUrl(java.lang.String url)

  Specified by:
    `setConnectionUrl` in interface `JdbcReportDataSource`

### getUsername

    public java.lang.String getUsername()

  Specified by:
    `getUsername` in interface `JdbcReportDataSource`

### setUsername

    public void setUsername(java.lang.String username)

  Specified by:
    `setUsername` in interface `JdbcReportDataSource`

### getTimezone

    public java.lang.String getTimezone()

  Specified by:
    `getTimezone` in interface `JdbcReportDataSource`

### setTimezone

    public void setTimezone(java.lang.String timezone)

  Specified by:
    `setTimezone` in interface `JdbcReportDataSource`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.